### Method

# Adw BottomSheet set_can_close

since: 1.6

#### Declaration [src]

    void
    adw_bottom_sheet_set_can_close (
      AdwBottomSheet* self,
      gboolean can_close
    )

#### Description [src]

Sets whether the bottom sheet can be closed by user.

It can be closed via the close button, swiping down, pressing `Escape` or clicking the content dimming (when modal).

Bottom sheet can still be closed using `AdwBottomSheet:open`.

Available since: 1.6

Sets property | `Adw.BottomSheet:can-close`

#### Parameters

`can_close`

  Type: `gboolean`

  Whether the sheet can be closed by user.